package com.dayou.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.AssetsStatisticalSelectDTO;
import com.dayou.vo.AssetsLedgerVO;

import java.util.List;

/**
 * <p>
 * 资产业务统计报表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-07-31
 */
public interface IAssetsStatisticalStatementService {

    /**
     * 获取资产台账
     * @param dto 查询dto
     * @return Page<AssetsLedgerVO>
     */
    Page<AssetsLedgerVO> getAssetsLedgerVO(AssetsStatisticalSelectDTO dto,Page page);

    /**
     * 资产台账导出
     * @param dto 查询dto
     * @return Page<AssetsLedgerVO>
     */
    List<AssetsLedgerVO> assetsLedgerVOExport(AssetsStatisticalSelectDTO dto);
}
