package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.AssetsStatisticalSelectDTO;
import com.dayou.vo.AssetsLedgerVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AssetsStatisticalStatementMapper {

    /**
     * 获取资产台账
     * @param dto 查询dto
     * @return Page<AssetsLedgerVO>
     */
    Page<AssetsLedgerVO> getAssetsLedgerVO(@Param("page") Page page, @Param("dto") AssetsStatisticalSelectDTO dto);

    /**
     * 获取资产台账
     * @param dto 查询dto
     * @return List<AssetsLedgerVO>
     */
    List<AssetsLedgerVO> assetsLedgerVOExport(@Param("dto") AssetsStatisticalSelectDTO dto);
}
